# Endpoint Healthchecks ## List Endpoint Health Checks `client.diagnostics.endpointHealthchecks.list(EndpointHealthcheckListParamsparams, RequestOptionsoptions?): EndpointHealthcheckListResponse` **get** `/accounts/{account_id}/diagnostics/endpoint-healthchecks` List Endpoint Health Checks. ### Parameters - `params: EndpointHealthcheckListParams` - `account_id: string` Identifier ### Returns - `EndpointHealthcheckListResponse` - `check_type: "icmp"` type of check to perform - `"icmp"` - `endpoint: string` the IP address of the host to perform checks against - `id?: string` UUID. - `name?: string` Optional name associated with this check ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const endpointHealthchecks = await client.diagnostics.endpointHealthchecks.list({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(endpointHealthchecks.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "check_type": "icmp", "endpoint": "203.0.113.1", "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "name": "My Endpoint" } } ``` ## Endpoint Health Check `client.diagnostics.endpointHealthchecks.create(EndpointHealthcheckCreateParamsparams, RequestOptionsoptions?): EndpointHealthcheckCreateResponse` **post** `/accounts/{account_id}/diagnostics/endpoint-healthchecks` Create Endpoint Health Check. ### Parameters - `params: EndpointHealthcheckCreateParams` - `account_id: string` Path param: Identifier - `check_type: "icmp"` Body param: type of check to perform - `"icmp"` - `endpoint: string` Body param: the IP address of the host to perform checks against - `name?: string` Body param: Optional name associated with this check ### Returns - `EndpointHealthcheckCreateResponse` - `check_type: "icmp"` type of check to perform - `"icmp"` - `endpoint: string` the IP address of the host to perform checks against - `id?: string` UUID. - `name?: string` Optional name associated with this check ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const endpointHealthcheck = await client.diagnostics.endpointHealthchecks.create({ account_id: '023e105f4ecef8ad9ca31a8372d0c353', check_type: 'icmp', endpoint: '203.0.113.1', }); console.log(endpointHealthcheck.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "check_type": "icmp", "endpoint": "203.0.113.1", "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "name": "My Endpoint" } } ``` ## Get Endpoint Health Check `client.diagnostics.endpointHealthchecks.get(stringid, EndpointHealthcheckGetParamsparams, RequestOptionsoptions?): EndpointHealthcheckGetResponse` **get** `/accounts/{account_id}/diagnostics/endpoint-healthchecks/{id}` Get a single Endpoint Health Check. ### Parameters - `id: string` UUID. - `params: EndpointHealthcheckGetParams` - `account_id: string` Identifier ### Returns - `EndpointHealthcheckGetResponse` - `check_type: "icmp"` type of check to perform - `"icmp"` - `endpoint: string` the IP address of the host to perform checks against - `id?: string` UUID. - `name?: string` Optional name associated with this check ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const endpointHealthcheck = await client.diagnostics.endpointHealthchecks.get( 'f174e90a-fafe-4643-bbbc-4a0ed4fc8415', { account_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(endpointHealthcheck.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "check_type": "icmp", "endpoint": "203.0.113.1", "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "name": "My Endpoint" } } ``` ## Delete Endpoint Health Check `client.diagnostics.endpointHealthchecks.delete(stringid, EndpointHealthcheckDeleteParamsparams, RequestOptionsoptions?): EndpointHealthcheckDeleteResponse` **delete** `/accounts/{account_id}/diagnostics/endpoint-healthchecks/{id}` Delete Endpoint Health Check. ### Parameters - `id: string` UUID. - `params: EndpointHealthcheckDeleteParams` - `account_id: string` Identifier ### Returns - `EndpointHealthcheckDeleteResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const endpointHealthcheck = await client.diagnostics.endpointHealthchecks.delete( 'f174e90a-fafe-4643-bbbc-4a0ed4fc8415', { account_id: '023e105f4ecef8ad9ca31a8372d0c353' }, ); console.log(endpointHealthcheck.errors); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true } ``` ## Update Endpoint Health Check `client.diagnostics.endpointHealthchecks.update(stringid, EndpointHealthcheckUpdateParamsparams, RequestOptionsoptions?): EndpointHealthcheckUpdateResponse` **put** `/accounts/{account_id}/diagnostics/endpoint-healthchecks/{id}` Update a Endpoint Health Check. ### Parameters - `id: string` UUID. - `params: EndpointHealthcheckUpdateParams` - `account_id: string` Path param: Identifier - `check_type: "icmp"` Body param: type of check to perform - `"icmp"` - `endpoint: string` Body param: the IP address of the host to perform checks against - `name?: string` Body param: Optional name associated with this check ### Returns - `EndpointHealthcheckUpdateResponse` - `check_type: "icmp"` type of check to perform - `"icmp"` - `endpoint: string` the IP address of the host to perform checks against - `id?: string` UUID. - `name?: string` Optional name associated with this check ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const endpointHealthcheck = await client.diagnostics.endpointHealthchecks.update( 'f174e90a-fafe-4643-bbbc-4a0ed4fc8415', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', check_type: 'icmp', endpoint: '203.0.113.1', }, ); console.log(endpointHealthcheck.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "check_type": "icmp", "endpoint": "203.0.113.1", "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "name": "My Endpoint" } } ``` ## Domain Types ### Endpoint Healthcheck - `EndpointHealthcheck` - `check_type: "icmp"` type of check to perform - `"icmp"` - `endpoint: string` the IP address of the host to perform checks against - `name?: string` Optional name associated with this check ### Endpoint Healthcheck List Response - `EndpointHealthcheckListResponse` - `check_type: "icmp"` type of check to perform - `"icmp"` - `endpoint: string` the IP address of the host to perform checks against - `id?: string` UUID. - `name?: string` Optional name associated with this check ### Endpoint Healthcheck Create Response - `EndpointHealthcheckCreateResponse` - `check_type: "icmp"` type of check to perform - `"icmp"` - `endpoint: string` the IP address of the host to perform checks against - `id?: string` UUID. - `name?: string` Optional name associated with this check ### Endpoint Healthcheck Get Response - `EndpointHealthcheckGetResponse` - `check_type: "icmp"` type of check to perform - `"icmp"` - `endpoint: string` the IP address of the host to perform checks against - `id?: string` UUID. - `name?: string` Optional name associated with this check ### Endpoint Healthcheck Delete Response - `EndpointHealthcheckDeleteResponse` - `errors: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `messages: Array` - `code: number` - `message: string` - `documentation_url?: string` - `source?: Source` - `pointer?: string` - `success: true` Whether the API call was successful. - `true` ### Endpoint Healthcheck Update Response - `EndpointHealthcheckUpdateResponse` - `check_type: "icmp"` type of check to perform - `"icmp"` - `endpoint: string` the IP address of the host to perform checks against - `id?: string` UUID. - `name?: string` Optional name associated with this check